
var _PATH = "/NOA/";

var xmlHttpObject = new XMLHttpRequest(); // function 内で call すると駄目のようだ

function gotHolidays(){
	// サーバから返された処理を実行
	if ((xmlHttpObject.readyState == 4) && (xmlHttpObject.status == 200)){
        // サーバから受けた debug message 入り JSON をそのまま親へ 丸投げ
        postMessage(xmlHttpObject.responseText);
	}
}
onmessage = function(event){
    // worker の生みの親から worker へ postMessage() されると起動される
    var noaString = event.data; // 親からパラメータを受け取る
    
    // サーバからの返答を gotHolidays() で親へ返す
    xmlHttpObject.onreadystatechange = gotHolidays;
    
    var st = _PATH + "server.php?command=GET_HORIDAY"
    + "&value=" + noaString;
    
    xmlHttpObject.open("GET", encodeURI(st), true);
    xmlHttpObject.send(null);
}
